private method "'zones_map' called for ActiveSupport::TimeZone:Class
08/22/2016 03:49 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: API
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3759
Description

The documentation in the users API controller lists possible values for timezones by calling ActiveSupport::TimeZone.zones_map,
however this method is private in Rails 5.0:

MethodError: private method " zones_map' called for ActiveSupport::TimeZone:Class
/home/dcleal/code/foreman/foreman/app/controllers/api/v2/users_controller.rb:50:in “block (2 1
evels) in &lt;class:UsersController&gt;’'

It should be replaced by a method that remains public.

Note the same list is obtained by the time_zone_select form helper, which lists timezones through .all.

Associated revisions

Revision abebb994 - 08/23/2016 03:29 AM - Dominic Cleal

fixes #16221 - replace private AS timezone listing method

History

#1 - 08/22/2016 04:08 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3759 added

#2 - 08/23/2016 04:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset abebb99425cb9d6c14{8067a12aea3013daa0dcO.

#3 - 08/23/2016 04:30 AM - Dominic Cleal

- translation missing: en.field_release set to 160
